# Add tags to domains Add tags to domains in your portfolio. Creates new tags automatically if they don't exist. Supports bulk operations for up to 50 domains. Endpoint: POST /mcp/v1/actions/ud_domain_tags_add Version: 1.0.0 Security: bearerAuth ## Request fields (application/json): - `domains` (array, required) Array of domain names to add tags to (e.g., ["example.com", "mysite.io"]) Example: ["example.com","mysite.io"] - `tags` (array, required) Array of tag names to add (e.g., ["Work", "Important"]). Max 20 characters each. Example: ["Work","Important"] ## Response 200 fields (application/json): - `results` (array) Results for each domain - `results.domain` (string) Domain name - `results.success` (boolean) Whether tags were applied successfully - `results.tagsApplied` (array) Tags that were applied to this domain - `results.error` (string) Error message if failed - `newTagsCreated` (array) Tags that were newly created (didn't exist before) - `successCount` (number) Number of domains with tags applied - `failureCount` (number) Number of domains that failed ## Response 401 fields